Bug 19145 - Anaconda dies on a mkkickstart generated ks file with lang set to en_GB
Anaconda dies on a mkkickstart generated ks file with lang set to en_GB
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: mkkickstart (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-15 16:30 EDT by Iain Rae
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-15 16:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Rae 2000-10-15 16:30:47 EDT
Having built a PC to the desired configuration (language english, keyboard
UK) we run mkkickstart to generate a ks file which starts with

lang en_GB

booting a second identical PC anaconda gets the IP address and gets past
mounting the install directory via NFS but then dies.
The blue install screen scrolls staircased error messages off the top of
the screen, the parts being visible are

File "/usr/lib/anaconda/todo.py", line 1088, in setClass
				todo.language.setByAbbrev(todo.instClass.language)
File "/usr/lib/anaconda/todo.py", line 254, in setByAbbrev
						self.set(self.abbrevMap[Lang])
KeyError: en_GB

then you get 
install exited abnormally. and the usual shutting down signals

repeating with 
lang=en_US 
will install ok.
I'm assuming that then setting LANG="en_GB" in /etc/sysconfig/i18n will
then switch it back, certainly I'm getting GBP signs in terminal windows
etc when I do this.
Comment 1 Brock Organ 2000-10-18 15:42:01 EDT
I am assigning this to the mkkickstart component, and changing it to an
enhancement request ... thanks for your report!

unfortunately mkkickstart doesn't know that the language code en_GB is not
supported by kickstart.  From the kickstart portion of the Red Hat Linux
reference guide:

Valid languages codes are: 

    cs_CZ, en_US, fr_FR, de_DE, hu_HU, is_IS, id_ID, it_IT,
    ja_JP.ujis, no_NO, pl_PL, ro_RO, sk_SK, sl_SI, es_MX,
    ru_RU.KOI8-R, uk_UA

but mkkickstart didn't read the manual ... ;)

Note You need to log in before you can comment on or make changes to this bug.